var saveProvinceText=""
var saveCityText=""
$(function(){
	wexConfig();
	/**
     * 确定操作
     */
    $(".okbtn").click(function(){
    	$(".popupmask").hide();
    	WeixinJSBridge.call("closeWindow"); 
    })
})
/**
 * 调用腾讯地图获取地理位置（省份-城市-区域）
 */
var geocoder,map, marker = null;
var init = function(lgt,lat,type) {
	layer.open({
	    type: 2
	    ,content:'获取位置中'
	  });
	if(typeof(type)=="undefined"){ 
		type=1;
	} 
	var center = new qq.maps.LatLng(lgt,lat);
    map = new qq.maps.Map(document.getElementById('container'),{
        center: center,
        zoom: 13
    });
    geocoder = new qq.maps.Geocoder({
        complete : function(result){
            map.setCenter(result.detail.location);
            var marker = new qq.maps.Marker({
                map:map,
                position: result.detail.location
            });
            var city=result.detail.addressComponents.city;//城市
            var province=result.detail.addressComponents.province;//省份
            var district=result.detail.addressComponents.district;//区域
            var street=result.detail.addressComponents.street;//街道
            loadAddress(city,province,district,street,type);
        },error:function(){
        	loadAddress("","","","",type);
        }
    });
    var latLng = new qq.maps.LatLng(lat,lgt);
    geocoder.getAddress(latLng);
}

/**
初始化省份城市区域街道
 */
function loadAddress(city,province,district,streetNumber,type){
	var contextPath=$("#contextPath").val();
	if(type==1){
		$.ajax({
			type:'POST',
			url:contextPath+"/wechat/property/getProvidedServiceList",
			data:{province:province},
			success: function (data){
				if(data!=null && data!="" && data.length>0){
					$.ajax({
						type:'POST',
						url:contextPath+"/wechat/property/getCityServiceList",
						data:{province:province,city:city},
						success: function (obj){
							if(obj!=null && obj!=""){
								var area = new LArea();
						        area.init({
						            'trigger': '#demo1',//触发选择控件的文本框，同时选择完毕后name属性输出到该位置
						             'valueTo':'#value1',//选择完毕后id属性输出到该位置
						             'keys':{id:'value',name:'text'},//绑定数据源相关字段 id对应valueTo的value属性输出 name对应trigger的value属性输出
						             'type':2,//数据源类型
						             'data':[data,obj]//数据源
						        });
						        if(city=="" || province==""){
						        	$("#demo1").html("选择省份 选择城市");
						        }else{
						        	saveProvinceText=province;
						        	saveCityText=city;
						        	 $("#demo1").html(province+"   "+city);
								     $("#address").val(district+streetNumber);
						        }
							}
						}
					});
				}else{
					saveProvinceText="";
		        	saveCityText="";
					$("#demo1").html("选择省份 选择城市");
				}
		        
			}
		});
	}else{
		saveProvinceText=province;
    	saveCityText=city;
    	if(saveProvinceText=="" || saveCityText==""){
    		$("#demo1").html("选择省份 选择城市");
    	}else{
    		 $("#demo1").html(province+"   "+city);
    	     $("#address").val(district+streetNumber);
    	}
	}
	setTimeout('layer.closeAll();',500);
}

/**
 * 保存新的楼宇申请
 */
function saveOrganization(){
	var contextPath=$("#contextPath").val();
	var organizationName=$("#organizationName").val();
	var address=$("#address").val();
	var userName=$("#userName").val();
	var userPhone=$("#userPhone").val();
	var userPosition=$("#userPosition").val();
	if($.trim(organizationName)==""){
		 layer.open({
    			content : "请输入楼宇名称",
    			skin : 'msg',
    			time : 2
    		});
		$("#organizationName").focus();
		return;
	}
	if($.trim(address)==""){
		 layer.open({
   			content : "请填写详细地址",
   			skin : 'msg',
   			time : 2
   		});
		$("#address").focus();
		return;
	}
	if($.trim(userName)==""){
		 layer.open({
  			content : "请输入用户名称",
  			skin : 'msg',
  			time : 2
  		});
		$("#userName").focus();
		return;
	}
	if($.trim(userPhone)==""){
		 layer.open({
 			content : "请填写手机号码",
 			skin : 'msg',
 			time : 2
 		});
		$("#userPhone").focus();
		return;
	}
	/*中移动手机号码*/
	var PATTERN_CHINAMOBILE = /^1(3[4-9]|5[012789]|8[23478]|4[7]|7[8])\d{8}$/;
	/*联通手机号码*/
	var PATTERN_CHINAUNICOM =/^1(3[0-2]|5[56]|8[56]|4[5]|7[6])\d{8}$/;
	/*电信手机号码*/
	var PATTERN_CHINATELECOM =/^1(3[3])|(8[019])\d{8}$/;
	
	var mob_num=/^(\d{3,4}\-)?\d{7,8}$/i;
	if(PATTERN_CHINAMOBILE.test(userPhone) || PATTERN_CHINAUNICOM.test(userPhone) || PATTERN_CHINATELECOM.test(userPhone) || mob_num.test(userPhone)){
		
	}else{
		layer.open({
			content : "手机号码格式不正确！",
			skin : 'msg',
			time : 2
		// 2秒后自动关闭
		});
		$("#userPhone").focus();
		return false;
	}
	if($.trim(saveProvinceText)==""){
		 layer.open({
			content : "请选择省份",
			skin : 'msg',
			time : 2
		});
		return;
	}
	if($.trim(saveCityText)==""){
		 layer.open({
			content : "请选择城市",
			skin : 'msg',
			time : 2
		});
		return;
	}
	var openId=$("#openId").val();
	$.ajax({
		url:contextPath+"/wechat/property/saveOrganization",
		type:"POST",
		data:{organizationName:organizationName,address:address,applicantName:userName,applicantPhone:userPhone,
			applicantIdentity:userPosition,provinceName:saveProvinceText,cityName:saveCityText,openId:openId},
		success : function(data) {
			if("success"==data){
	        		$(".popupmask").show();
	        }else{
	        	layer.open({
	    			content : "申请失败，请检查网络！",
	    			skin : 'msg',
	    			time : 2
	    		});
	        }
		}, error : function(xhr,textStatus){
			alert(textStatus);
	    }
	});
}

/*
 * 注入微信
 */
function wexConfig(type) {
	$.ajax({
		url : $("#contextPath").val() + "/wechat/visitor/fenxiang",
		type : "POST",
		async : true,
		cache : false,
		dataType : "json",
		data : {
			url : location.href.split('#')[0],
			developId : $("#developId").val()
		},
		success : function(data) {
			wx.config({
				debug : false, // 开启调试模式
				appId : data.appid, // 必填，公众号的唯一标识
				timestamp : data.timestamp, // 必填，生成签名的时间戳
				nonceStr : data.nonceStr, // 必填，生成签名的随机串
				signature : data.signature,// 必填，签名，见附录1
				jsApiList : [ 'getLocation', 'hideOptionMenu' ]
			// 必填，需要使用的JS接口列表，所有JS接口列表见附录2
			});
			//隐藏右上角菜单
			wx.hideOptionMenu();
			wx.ready(function(){
					wx.checkJsApi({  
		 	             jsApiList: [   
		 	               'getLocation',
		 	               'hideOptionMenu'
		 	             ],  
		 	             success: function (res) {  
		 	               //alert(res.errMsg);  
		 	             }
					});
				wx.getLocation({
						success : function(res) {
							var latitude = res.latitude; // 纬度，浮点数，范围为90 ~ -90
							var longitude = res.longitude; // 经度，浮点数，范围为180 ~ -180。
							var speed = res.speed; // 速度，以米/每秒计
							var accuracy = res.accuracy; // 位置精度
							//定位校区
							init(longitude,latitude,type);
						},
						cancel : function(res) {
							init(0.00,0.00,type);
						}
					});
			});

		}
			
	});
}


